ModuleElementImport REST API endpoint
Disclaimer: This endpoint documentation is generated from the latest Sitevision version. It might differ from the actual Sitevision environment where your website resides.
Use the RestApi utility of the Public API for server-side access of this endpoint.
ModuleElementImport
Import a svaa-archive to a custom module.
Applicable to: sv:customModule of the sv:addonRepository.
POST - MULTI-PART
Upload and install a svaa-archive to a sv:customModule.
Requires the feature "addons" and that the user is authorized to MANAGE_ADDONS.
Example using "curl" to upload the archive "./element.svaa" to the custom module "myModule" for site "www.intranet.com". The upload is performed by the "system" user.
curl --user system -X POST -H "Content-Type: multipart/form-data" -F "data=@./element.svaa" http://www.intranet.com/rest-api/1/0/intranet/Addon%20Repository/myModule/moduleElementImport
Did you find the content on this page useful?